package com.jkcredit.invoice.mapper.Binvoce;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.invoice.SelfCarInvoice;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
@Repository
public interface SelfCarInvoiceMapper extends BaseMapper<SelfCarInvoice> {
    IPage<List<SelfCarInvoice>> selectAllByPage(Page page, @Param("selfCarInvoice") SelfCarInvoice selfCarInvoice);

    int insert(SelfCarInvoice record);

    int updateByPrimaryKey(SelfCarInvoice record);

    List<SelfCarInvoice> selectByTrade(String tradeId);

    List<SelfCarInvoice> selectByTradeAndInvoiceMakeTime(SelfCarInvoice record);
}
